com.streambase.liveview.client

## Interface ProgressMonitor

- All Known Implementing Classes:
    NullProgressMonitor

      public interface ProgressMonitor

  This interface can be used in `ConnectionConfig` to receive feedback on `LiveViewConnectionFactory.getConnection(ConnectionConfig)`.

  It also enables the client to `ProgressMonitor.cancel()` the connection request.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `UNKNOWN` Constant indicating an unknown amount of work.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginTask(String name, int totalWork)` The server reports to the monitor at the beginning of a task
    `void` | `cancel()` The client can cancel the current request
    `void` | `done()` The server calls this on completion of the task
    `boolean` | `isCanceled()` The api will use this call to see if the client cancelled the current request
    `void` | `subTask(String name)` The server calls this with the name of sub tasks
    `void` | `worked(int work)` The server reports incremental units complete on the current task

- - ### Field Detail

    - #### UNKNOWN

          static final int UNKNOWN

      Constant indicating an unknown amount of work. This value is to match that of org.eclipse.core.runtime.IProgressMonitor
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### cancel

          void cancel()

      The client can cancel the current request

    - #### isCanceled

          boolean isCanceled()

      The api will use this call to see if the client cancelled the current request
      Returns:
        true if client cancelled the request

    - #### beginTask

          void beginTask(String name,
                         int totalWork)

      The server reports to the monitor at the beginning of a task
      Parameters:
        `name` - the name of the task
        `totalWork` - the total steps to complete the task

    - #### done

          void done()

      The server calls this on completion of the task

    - #### subTask

          void subTask(String name)

      The server calls this with the name of sub tasks

    - #### worked

          void worked(int work)

      The server reports incremental units complete on the current task
      Parameters:
        `work` - the amount done on the current task

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.